package com.emr.dao.emrPrintAndDownLoad;

import com.emr.dao.CommomMapper;
import com.emr.entity.emrPrintAndDownLoad.EmrPrintDownloadInfo;
import com.emr.vo.EmrPrintOrDownLoadInfo.EmrPrintOrDownLoadInfoVo;
import com.emr.vo.browseRecords;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EmrPrintDownloadInfoMapper extends CommomMapper {
    int insert(EmrPrintDownloadInfo record);

    int insertSelective(EmrPrintDownloadInfo record);

    List<EmrPrintOrDownLoadInfoVo> selectAll(@Param("record") EmrPrintOrDownLoadInfoVo record);

    List<EmrPrintOrDownLoadInfoVo> selectAllByIds(@Param("ids")String ids,@Param("flag")String flag);

    List<EmrPrintOrDownLoadInfoVo> getPrintCount(@Param("patientId")String patientId);

    int insertBrowseRecords(browseRecords browseRecords);
}